import cookie from '@s-ui/js/lib/cookie';
var ADOBE_ORG_ID = '05FF6243578784B37F000101@AdobeOrg';
var TRACKING_SERVER = {
  trackingServer: 'schibstedspain.d3.sc.omtrdc.net',
  trackingServerSecure: 'schibstedspain.d3.sc.omtrdc.net'
};

var getAdobeMCVisitorID = function getAdobeMCVisitorID() {
  var demdex = window.Visitor.getInstance(ADOBE_ORG_ID, TRACKING_SERVER);
  return new Promise(function (resolve, reject) {
    if (demdex.getMarketingCloudVisitorID()) {
      var mcvid = demdex.getMarketingCloudVisitorID();
      return resolve(mcvid);
    }

    function retry(retries) {
      if (retries === 0) {
        var _mcvid = cookie.get('IJ_MCMID');

        return resolve(_mcvid || '');
      } else {
        if (demdex.getMarketingCloudVisitorID()) {
          var _mcvid2 = demdex.getMarketingCloudVisitorID();

          return resolve(_mcvid2);
        } else {
          window.setTimeout(function () {
            retry(--retries);
          }, 25);
        }
      }
    }

    retry(80);
  });
};

export default getAdobeMCVisitorID;